U = range(97,123)   # 전체집합은 영어 알파벳 소문자 a~z (ASCII 코드 참조)
A = ['a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j']     # 집합 A 정의 및 초기화
B = ['g','h','i', 'j', 'k', 'l', 'm', 'n']                 # 집합 B 정의 및 초기화
C = ['a','c', 'f', 'h', 'm', 'u', 'v', 'w']                # 집합 C 정의 및 초기화

# setout 함수가 집합을 출력
def setout(A):
    if len(A) == 0:
        print("\u2205")
        return
    print("{ ", end = "")
    for i in range(0,len(A)):
        if(i < len(A) - 1):
            print(chr(A[i]), ", ",  end = "", sep = "")
    print(chr(A[i]), "}\n")


print("U = ", end = "")
setout(U)

print("A = ", end = "")
setout(A)

print("B = ", end = "")
setout(B)

print("C = ", end = "")
setout(C)

# 집합 A와 B의 대칭 차집합 연산 
print("A \u2295 B = {", end = " ")
for i in range(0,26):
    if not(chr(U[i]) in A and chr(U[i]) in B):
        print(chr(U[i]), end = ", ")
print("\b\b }")

# 집합 B와 C의 대칭 차집합 연산 
print("B \u2295 C = {", end = " ")
for i in range(0,26):
    if not(chr(U[i]) in B and chr(U[i]) in C):
        print(chr(U[i]), end = ", ")
print("\b\b }")
